<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__i2s__enums" kind="group">
    <compoundname>group_i2s_enums</compoundname>
    <title>Enumerated Types</title>
      <sectiondef kind="enum">
      <memberdef id="group__group__i2s__enums_1ga49f7fb887e336a0b459c022cd99f4fa3" kind="enum" prot="public" static="no">
        <name>cy_en_i2s_status_t</name>
        <enumvalue id="group__group__i2s__enums_1gga49f7fb887e336a0b459c022cd99f4fa3a2f64d83f74b115135886e89ca315a98b" prot="public">
          <name>CY_I2S_SUCCESS</name>
          <initializer>= 0x00UL</initializer>
          <briefdescription>
<para>Successful. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__i2s__enums_1gga49f7fb887e336a0b459c022cd99f4fa3a3db820e880e7edd1134e48b23028e33c" prot="public">
          <name>CY_I2S_BAD_PARAM</name>
          <initializer>= CY_I2S_ID | CY_PDL_STATUS_ERROR | 0x01UL</initializer>
          <briefdescription>
<para>One or more invalid parameters. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_i2s_status_t: </bold><linebreak />I2S status definitions.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="266" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" bodystart="262" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" line="263" />
      </memberdef>
      <memberdef id="group__group__i2s__enums_1gac2ba15c8dab8fc0c422ab369992636f5" kind="enum" prot="public" static="no">
        <name>cy_en_i2s_alignment_t</name>
        <enumvalue id="group__group__i2s__enums_1ggac2ba15c8dab8fc0c422ab369992636f5a119e7078944f63177347a7be6efb80f2" prot="public">
          <name>CY_I2S_LEFT_JUSTIFIED</name>
          <initializer>= 0U</initializer>
          <briefdescription>
<para>Left justified. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__i2s__enums_1ggac2ba15c8dab8fc0c422ab369992636f5ae42d0ade64f2daf741c905db1034188b" prot="public">
          <name>CY_I2S_I2S_MODE</name>
          <initializer>= 1U</initializer>
          <briefdescription>
<para>I2S mode. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__i2s__enums_1ggac2ba15c8dab8fc0c422ab369992636f5a3351542ae68f5c291be19e438b637d2e" prot="public">
          <name>CY_I2S_TDM_MODE_A</name>
          <initializer>= 2U</initializer>
          <briefdescription>
<para>TDM mode A. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__i2s__enums_1ggac2ba15c8dab8fc0c422ab369992636f5ade83de64ef77b83b0d76e0bd836333f3" prot="public">
          <name>CY_I2S_TDM_MODE_B</name>
          <initializer>= 3U</initializer>
          <briefdescription>
<para>TDM mode B. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_i2s_alignment_t: </bold><linebreak />I2S data alignment.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="278" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" bodystart="272" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" line="273" />
      </memberdef>
      <memberdef id="group__group__i2s__enums_1ga23a77f23cf018c0a0ca3874a0709a630" kind="enum" prot="public" static="no">
        <name>cy_en_i2s_len_t</name>
        <enumvalue id="group__group__i2s__enums_1gga23a77f23cf018c0a0ca3874a0709a630a17cffa5a44d138153bd3c332e1bb9997" prot="public">
          <name>CY_I2S_LEN8</name>
          <initializer>= 0U</initializer>
          <briefdescription>
<para>Channel/word length: 8 bit. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__i2s__enums_1gga23a77f23cf018c0a0ca3874a0709a630a4b0d03407d5b1d135784e77570613ae5" prot="public">
          <name>CY_I2S_LEN16</name>
          <initializer>= 1U</initializer>
          <briefdescription>
<para>Channel/Word length: 16 bit. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__i2s__enums_1gga23a77f23cf018c0a0ca3874a0709a630ad17c1c6bde060b82e16a1afe4cd54f9c" prot="public">
          <name>CY_I2S_LEN18</name>
          <initializer>= 2U</initializer>
          <briefdescription>
<para>Channel/Word length: 18 bit. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__i2s__enums_1gga23a77f23cf018c0a0ca3874a0709a630a3a4796f73d6212cf6ac6c4d48e28d570" prot="public">
          <name>CY_I2S_LEN20</name>
          <initializer>= 3U</initializer>
          <briefdescription>
<para>Channel/Word length: 20 bit. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__i2s__enums_1gga23a77f23cf018c0a0ca3874a0709a630ad4df0a1f7ef1479e25b9f351343830b0" prot="public">
          <name>CY_I2S_LEN24</name>
          <initializer>= 4U</initializer>
          <briefdescription>
<para>Channel/Word length: 24 bit. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__i2s__enums_1gga23a77f23cf018c0a0ca3874a0709a630aab5c007ec4211c0c0fb92cce4e886d21" prot="public">
          <name>CY_I2S_LEN32</name>
          <initializer>= 5U</initializer>
          <briefdescription>
<para>Channel/Word length: 32 bit. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_i2s_len_t: </bold><linebreak />I2S channel/word length.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="291" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" bodystart="283" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" line="284" />
      </memberdef>
      <memberdef id="group__group__i2s__enums_1gace34f02636657f8a8f1290fcbc5acfa6" kind="enum" prot="public" static="no">
        <name>cy_en_i2s_overhead_t</name>
        <enumvalue id="group__group__i2s__enums_1ggace34f02636657f8a8f1290fcbc5acfa6ab0df85606cde8ff2d5b0c58dd3f7193c" prot="public">
          <name>CY_I2S_OVHDATA_ZERO</name>
          <initializer>= 0U</initializer>
          <briefdescription>
<para>Fill overhead bits by zeroes. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__i2s__enums_1ggace34f02636657f8a8f1290fcbc5acfa6ac3e9674f2da43bb4005842bf4d10e109" prot="public">
          <name>CY_I2S_OVHDATA_ONE</name>
          <initializer>= 1U</initializer>
          <briefdescription>
<para>Fill overhead bits by ones. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_i2s_overhead_t: </bold><linebreak />I2S TX overhead value.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="300" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" bodystart="296" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" line="297" />
      </memberdef>
      <memberdef id="group__group__i2s__enums_1ga265f4e0f0d40f96b383a91aab3215f79" kind="enum" prot="public" static="no">
        <name>cy_en_i2s_ws_pw_t</name>
        <enumvalue id="group__group__i2s__enums_1gga265f4e0f0d40f96b383a91aab3215f79ac9f847e197553fbefa9ed4aec21af028" prot="public">
          <name>CY_I2S_WS_ONE_SCK_CYCLE</name>
          <initializer>= 0U</initializer>
          <briefdescription>
<para>WS pulse width is one SCK cycle. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__i2s__enums_1gga265f4e0f0d40f96b383a91aab3215f79a4ac9c0b6c81f4ceb4fa17f83ff96e912" prot="public">
          <name>CY_I2S_WS_ONE_CHANNEL_LENGTH</name>
          <initializer>= 1U</initializer>
          <briefdescription>
<para>WS pulse width is one channel length. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_i2s_ws_pw_t: </bold><linebreak />I2S WS pulse width.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="309" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" bodystart="305" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" line="306" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>